changeset 13631:59e05a895ba2

update-copyright test: Improve output when perl is missing or too old. * tests/test-update-copyright.sh: Move test of Perl version down after the test whether Perl exists. Provide an explanation relating Perl's error message to Automake's SKIP: message.
author Bruno Haible <bruno@clisp.org>
date Sat, 04 Sep 2010 13:58:02 +0200
parents dbece3bf692b
children 09362ffa0085
files ChangeLog tests/test-update-copyright.sh
diffstat 2 files changed, 14 insertions(+), 4 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,10 @@
+2010-09-04  Bruno Haible  <bruno@clisp.org>
+
+	update-copyright test: Improve output when perl is missing or too old.
+	* tests/test-update-copyright.sh: Move test of Perl version down after
+	the test whether Perl exists. Provide an explanation relating Perl's
+	error message to Automake's SKIP: message.
+
 2010-09-04  Bruno Haible  <bruno@clisp.org>
 
 	Don't augment PATH in TESTS_ENVIRONMENT.
--- a/tests/test-update-copyright.sh
+++ b/tests/test-update-copyright.sh
@@ -16,10 +16,6 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-# Skip this test if Perl is too old.  FIXME: 5.8.0 is just a guess.
-# We have a report that 5.6.1 is inadequate and that 5.8.0 works.
-perl -e 'require 5.8.0' || exit 77
-
 diffout=`diff -u /dev/null /dev/null 2>&1`
 if test x"$diffout" = x"" && test $? -eq 0; then
   compare() { diff -u "$@"; }
@@ -54,6 +50,13 @@
     exit 77
   }
 
+# Skip this test if Perl is too old.  FIXME: 5.8.0 is just a guess.
+# We have a report that 5.6.1 is inadequate and that 5.8.0 works.
+perl -e 'require 5.8.0' || {
+  echo '$0: skipping this test; Perl version is too old' 1>&2
+  exit 77
+}
+
 # Do not let a different envvar setting perturb results.
 UPDATE_COPYRIGHT_MAX_LINE_LENGTH=72
 export UPDATE_COPYRIGHT_MAX_LINE_LENGTH